%define anolis_release 2

Summary:       The ASN.1 library used in GNUTLS
Name:          libtasn1
Version:       4.19.0
Release:       %{anolis_release}%{?dist}
License:       GPLv3+ and LGPLv2+
URL:           http://www.gnu.org/software/libtasn1/
Source0:       http://ftp.gnu.org/gnu/libtasn1/%name-%version.tar.gz
Source1:       http://ftp.gnu.org/gnu/libtasn1/%name-%version.tar.gz.sig
Source2:       gpgkey-B1D2BD1375BECB784CF4F8C4D73CF638C53C06BE.gpg

BuildRequires: gcc, make, gnupg2, bison, pkgconfig, help2man
BuildRequires: autoconf, automake, libtool, gtk-doc, findutils
BuildRequires: valgrind-devel

Provides:      bundled(gnulib) = 20130324

%description
Libtasn1 is the ASN.1 library used by GnuTLS, p11-kit and some other packages.
It was originally written by Fabio Fiorina, and now maintained as a GNU package.

%package devel
Summary:       Files for development of applications which will use libtasn1
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-tools = %{version}-%{release}
Requires:      pkgconfig

%description devel
Libtasn1 is the ASN.1 library used by GnuTLS, p11-kit and some other packages.
It was originally written by Fabio Fiorina, and now maintained as a GNU package.

This package contains development libraries and header files for using libtasn1.

%package tools
Summary:       Tools for ASN.1
License:       GPLv3+
Requires:      %{name} = %{version}-%{release}

%description tools
Libtasn1 is the ASN.1 library used by GnuTLS, p11-kit and some other packages.
It was originally written by Fabio Fiorina, and now maintained as a GNU package.

This package contains simple tools that can decode and encode ASN.1 data.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation files for %{name}.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup

%build
autoreconf -vfi
%configure \
    --disable-static \
    --disable-silent-rules
%make_build

%install
%make_install

# Remove "*.la" files
find %{buildroot}%{_libdir} -name "*.la" -exec %__rm -vf {} \;

%check
make check

%files
%license COPYING doc/COPYING*
%{_libdir}/*.so.6*

%files tools
%{_bindir}/asn1*
%{_mandir}/man1/asn1*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_infodir}/*.info.*
%{_mandir}/man3/*asn1*

%files doc
%doc AUTHORS NEWS README.md

%changelog
* Sat Apr 15 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 4.19.0-2
- optimise spec

* Tue Oct 11 2022 Funda Wang <fundawang@yeah.net> - 4.19.0-1
- New verison 4.19.0

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.18.0-2
- add doc package

* Tue Mar 08 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 4.18.0-1
- Update to 4.18.0
- Init for Anolis OS 23
